<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: /workplace/avs-device-sdk/CapabilityAgents/Alerts/test/ReminderAlertTest.cpp File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_7cf910bd1d7603f12ef47ff650cec893.html">CapabilityAgents</a></li><li class="navelem"><a class="el" href="dir_6a3d888c77d91a2c06c3ff7a43c42895.html">Alerts</a></li><li class="navelem"><a class="el" href="dir_579390d8ffdcec981a107f091315ddee.html">test</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#namespaces">Namespaces</a> &#124;
<a href="#func-members">Functions</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle">
<div class="title">ReminderAlertTest.cpp File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &lt;gtest/gtest.h&gt;</code><br />
<code>#include &quot;<a class="el" href="_reminder_8h_source.html">Alerts/Reminder.h</a>&quot;</code><br />
</div><div class="textblock"><div class="dynheader">
Include dependency graph for ReminderAlertTest.cpp:</div>
<div class="dyncontent">
<div class="center"><img src="_reminder_alert_test_8cpp__incl.png" border="0" usemap="#_2workplace_2avs-device-sdk_2_capability_agents_2_alerts_2test_2_reminder_alert_test_8cpp" alt=""/></div>
<map name="_2workplace_2avs-device-sdk_2_capability_agents_2_alerts_2test_2_reminder_alert_test_8cpp" id="_2workplace_2avs-device-sdk_2_capability_agents_2_alerts_2test_2_reminder_alert_test_8cpp">
<area shape="rect" id="node3" href="_reminder_8h.html" title="Alerts/Reminder.h" alt="" coords="2707,105,2834,131"/>
<area shape="rect" id="node4" href="_alert_8h.html" title="Alerts/Alert.h" alt="" coords="2721,179,2819,204"/>
<area shape="rect" id="node5" href="_alert_observer_interface_8h.html" title="Alerts/AlertObserverInterface.h" alt="" coords="5,345,210,371"/>
<area shape="rect" id="node7" href="_renderer_8h.html" title="Alerts/Renderer/Renderer.h" alt="" coords="1521,259,1705,284"/>
<area shape="rect" id="node9" href="_renderer_observer_interface_8h.html" title="Alerts/Renderer/Renderer\lObserverInterface.h" alt="" coords="335,599,509,637"/>
<area shape="rect" id="node32" href="_focus_state_8h.html" title="AVSCommon/AVS/FocusState.h" alt="" coords="4365,345,4578,371"/>
<area shape="rect" id="node33" href="_a_v_s_common_2_utils_2include_2_a_v_s_common_2_utils_2_timing_2_timer_8h.html" title="AVSCommon/Utils/Timing\l/Timer.h" alt="" coords="2470,252,2644,291"/>
<area shape="rect" id="node43" href="_time_point_8h.html" title="AVSCommon/Utils/Timing\l/TimePoint.h" alt="" coords="4607,339,4781,377"/>
<area shape="rect" id="node8" href="_renderer_interface_8h.html" title="Alerts/Renderer/Renderer\lInterface.h" alt="" coords="1495,512,1669,551"/>
<area shape="rect" id="node14" href="_executor_8h.html" title="AVSCommon/Utils/Threading\l/Executor.h" alt="" coords="2076,425,2270,464"/>
<area shape="rect" id="node23" href="_media_player_interface_8h.html" title="AVSCommon/Utils/MediaPlayer\l/MediaPlayerInterface.h" alt="" coords="1102,425,1310,464"/>
<area shape="rect" id="node30" href="_media_player_observer_interface_8h.html" title="AVSCommon/Utils/MediaPlayer\l/MediaPlayerObserverInterface.h" alt="" coords="1027,339,1244,377"/>
<area shape="rect" id="node21" href="_task_thread_8h.html" title="AVSCommon/Utils/Threading\l/TaskThread.h" alt="" coords="1925,512,2119,551"/>
<area shape="rect" id="node25" href="_attachment_reader_8h.html" title="AVSCommon/AVS/Attachment\l/AttachmentReader.h" alt="" coords="936,512,1138,551"/>
<area shape="rect" id="node29" href="_audio_format_8h.html" title="AVSCommon/Utils/AudioFormat.h" alt="" coords="538,519,760,544"/>
<area shape="rect" id="node28" href="_reader_policy_8h.html" title="AVSCommon/Utils/SDS\l/ReaderPolicy.h" alt="" coords="956,599,1118,637"/>
<area shape="rect" id="node31" href="_error_types_8h.html" title="AVSCommon/Utils/MediaPlayer\l/ErrorTypes.h" alt="" coords="819,425,1028,464"/>
<area shape="rect" id="node34" href="_logger_utils_8h.html" title="AVSCommon/Utils/Logger\l/LoggerUtils.h" alt="" coords="2858,339,3034,377"/>
<area shape="rect" id="node35" href="_logger_8h.html" title="AVSCommon/Utils/Logger\l/Logger.h" alt="" coords="3357,425,3533,464"/>
<area shape="rect" id="node37" href="_configuration_node_8h.html" title="AVSCommon/Utils/Configuration\l/ConfigurationNode.h" alt="" coords="3194,512,3408,551"/>
<area shape="rect" id="node39" href="_level_8h.html" title="AVSCommon/Utils/Logger\l/Level.h" alt="" coords="3458,599,3634,637"/>
<area shape="rect" id="node40" href="_log_entry_8h.html" title="AVSCommon/Utils/Logger\l/LogEntry.h" alt="" coords="3805,512,3981,551"/>
<area shape="rect" id="node41" href="_log_level_observer_interface_8h.html" title="AVSCommon/Utils/Logger\l/LogLevelObserverInterface.h" alt="" coords="3584,512,3781,551"/>
<area shape="rect" id="node42" href="_sink_observer_interface_8h.html" title="AVSCommon/Utils/Logger\l/SinkObserverInterface.h" alt="" coords="1296,512,1472,551"/>
<area shape="rect" id="node44" href="_time_utils_8h.html" title="AVSCommon/Utils/Timing\l/TimeUtils.h" alt="" coords="4607,425,4781,464"/>
<area shape="rect" id="node47" href="_retry_timer_8h.html" title="AVSCommon/Utils/RetryTimer.h" alt="" coords="2960,519,3170,544"/>
<area shape="rect" id="node48" href="_safe_c_time_access_8h.html" title="AVSCommon/Utils/Timing\l/SafeCTimeAccess.h" alt="" coords="4359,512,4533,551"/>
</map>
</div>
</div><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1test_1_1_reminder_alert_test.html">alexaClientSDK::capabilityAgents::alerts::test::ReminderAlertTest</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="namespaces"></a>
Namespaces</h2></td></tr>
<tr class="memitem:namespacealexa_client_s_d_k"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></td></tr>
<tr class="memdesc:namespacealexa_client_s_d_k"><td class="mdescLeft">&#160;</td><td class="mdescRight">Whether or not curl logs should be emitted. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1capability_agents"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents.html">alexaClientSDK::capabilityAgents</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1capability_agents_1_1alerts"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1alerts.html">alexaClientSDK::capabilityAgents::alerts</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1test"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1test.html">alexaClientSDK::capabilityAgents::alerts::test</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:aeee27d1c962fc42d3ee6438326ca8151"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1test.html#aeee27d1c962fc42d3ee6438326ca8151">alexaClientSDK::capabilityAgents::alerts::test::TEST_F</a> (ReminderAlertTest, test_defaultAudio)</td></tr>
<tr class="separator:aeee27d1c962fc42d3ee6438326ca8151"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aca34ea8b60b78b560802ec9b20230fa1"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1test.html#aca34ea8b60b78b560802ec9b20230fa1">alexaClientSDK::capabilityAgents::alerts::test::TEST_F</a> (ReminderAlertTest, test_shortAudio)</td></tr>
<tr class="separator:aca34ea8b60b78b560802ec9b20230fa1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9b1bcd4b746a8e594945d7ca838558ca"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1test.html#a9b1bcd4b746a8e594945d7ca838558ca">alexaClientSDK::capabilityAgents::alerts::test::TEST_F</a> (ReminderAlertTest, test_getTypeName)</td></tr>
<tr class="separator:a9b1bcd4b746a8e594945d7ca838558ca"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:a2db68894743c10cb285957cbca77669a"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1test.html#a2db68894743c10cb285957cbca77669a">alexaClientSDK::capabilityAgents::alerts::test::REMINDER_DEFAULT_DATA</a> = &quot;reminder default data&quot;</td></tr>
<tr class="separator:a2db68894743c10cb285957cbca77669a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1392176b5e048a29fc8f2e9b1ed5e13d"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1test.html#a1392176b5e048a29fc8f2e9b1ed5e13d">alexaClientSDK::capabilityAgents::alerts::test::REMINDER_SHORT_DATA</a> = &quot;reminder short data&quot;</td></tr>
<tr class="separator:a1392176b5e048a29fc8f2e9b1ed5e13d"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
